Bug 221397 - "remove final modifier from the method declaration" hint is shown twice
"remove final modifier from the method declaration" hint is shown twice
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.3
PC Windows 7
: P3 (vote)
: 7.3
Assigned To: Dusan Balek
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-03 00:00 UTC by markiewb
Modified: 2012-11-07 03:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Same hint twice ??? (7.25 KB, image/png)
2012-11-03 00:01 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2012-11-03 00:00:36 UTC
[ BUILD # : 201210310001 ]
[ JDK VERSION : 1.6.37 ]

See the following code. 
<code>
public class NewClass1 {

    private static final String method (String path) {

        return null;
    }
}
</code>
Try to "fix code..." on the method.
ACTUAL: "remove final modifier from the method declaration" is shown twice - 
see attached screenshot
EXPECTED: "remove final from method declaration" is shown once
Comment 1 markiewb 2012-11-03 00:01:41 UTC
Created attachment 127052 [details]
Same hint twice ???
Comment 2 Dusan Balek 2012-11-06 09:33:30 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/80442a28880a
Comment 3 Quality Engineering 2012-11-07 03:40:36 UTC
Integrated into 'main-golden', will be available in build *201211070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/80442a28880a
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #221397: "remove final modifier from the method declaration" hint is shown twice - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo